org.eclipse.microprofile.lra.tck

## Class TckLRATypeTests

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.TckTestBase
  - - org.eclipse.microprofile.lra.tck.TckLRATypeTests

    public class TckLRATypeTests
    extends TckTestBase

Tests that validate that the implementation of the `LRA.Type` attribute is correct

For each of the type values there are 4 tests:

- start an LRA before invoking the resource method annotated with `LRA.end()` set to true
- do not start an LRA before invoking the resource method annotated with `LRA.end()` set to true
- start an LRA before invoking the resource method annotated with `LRA.end()` set to false
- do not start an LRA before invoking the resource method annotated with `LRA.end()` set to false

*

Each test then validates `resourceRequest(java.lang.String, java.lang.String, boolean, int, org.eclipse.microprofile.lra.tck.TckLRATypeTests.MethodLRACheck, boolean)` that:

- the correct JAX-RS status was returned
- the resource method executed with the correct LRA context
- the LRA started by the resource method is closed if `LRA.end()` is true
- the LRA started by the resource method is not closed if `LRA.end()` is false

### Field Summary

### Fields inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`testName`

### Constructor Summary

Constructors
Constructor and Description
`TckLRATypeTests()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `after()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `mandatoryEndWithLRA()`
`void` `mandatoryEndWithLRAAtInterface()`
`void` `mandatoryEndWithLRAAtSuperclass()`
`void` `mandatoryEndWithoutLRA()`
`void` `mandatoryEndWithoutLRAAtInterface()`
`void` `mandatoryEndWithoutLRAAtSuperclass()`
`void` `mandatoryWithLRA()`
`void` `mandatoryWithLRAAtInterface()`
`void` `mandatoryWithLRAAtSuperclass()`
`void` `mandatoryWithoutLRA()`
`void` `mandatoryWithoutLRAAtInterface()`
`void` `mandatoryWithoutLRAAtSuperclass()`
`void` `neverWithEndLRA()`
`void` `neverWithEndLRAAtInterface()`
`void` `neverWithEndLRAAtSuperclass()`
`void` `neverWithInvalidLRA()`
`void` `neverWithInvalidLRAAtInterface()`
`void` `neverWithInvalidLRAAtSuperclass()`
`void` `neverWithLRA()`
`void` `neverWithLRAAtInterface()`
`void` `neverWithLRAAtSuperclass()`
`void` `neverWithoutEndLRA()`
`void` `neverWithoutEndLRAAtInterface()`
`void` `neverWithoutEndLRAAtSuperclass()`
`void` `neverWithoutLRA()`
`void` `neverWithoutLRAAtInterface()`
`void` `neverWithoutLRAAtSuperclass()`
`void` `notSupportedEndWithoutLRA()`
`void` `notSupportedEndWithoutLRAAtInterface()`
`void` `notSupportedEndWithoutLRAAtSuperclass()`
`void` `notSupportedEndWithRA()`
`void` `notSupportedEndWithRAAtInterface()`
`void` `notSupportedEndWithRAAtSuperclass()`
`void` `notSupportedWithoutLRA()`
`void` `notSupportedWithoutLRAAtInterface()`
`void` `notSupportedWithoutLRAAtSuperclass()`
`void` `notSupportedWithRA()`
`void` `notSupportedWithRAAtInterface()`
`void` `notSupportedWithRAAtSuperclass()`
`void` `requiredEndWithLRA()`
`void` `requiredEndWithLRAAtInterface()`
`void` `requiredEndWithLRAAtSuperclass()`
`void` `requiredEndWithoutLRA()`
`void` `requiredEndWithoutLRAAtInterface()`
`void` `requiredEndWithoutLRAAtSuperclass()`
`void` `requiredWithLRA()`
`void` `requiredWithLRAAtInterface()`
`void` `requiredWithLRAAtSuperclass()`
`void` `requiredWithoutLRA()`
`void` `requiredWithoutLRAAtInterface()`
`void` `requiredWithoutLRAAtSuperclass()`
`void` `requiresEndNewWithLRA()`
`void` `requiresEndNewWithLRAAtInterface()`
`void` `requiresEndNewWithLRAAtSuperclass()`
`void` `requiresEndNewWithoutLRA()`
`void` `requiresEndNewWithoutLRAAtInterface()`
`void` `requiresEndNewWithoutLRAAtSuperclass()`
`void` `requiresNewWithLRA()`
`void` `requiresNewWithLRAAtInterface()`
`void` `requiresNewWithLRAAtSuperclass()`
`void` `requiresNewWithoutLRA()`
`void` `requiresNewWithoutLRAAtInterface()`
`void` `requiresNewWithoutLRAAtSuperclass()`
`void` `supportsEndWithLRA()`
`void` `supportsEndWithLRAAtInterface()`
`void` `supportsEndWithLRAAtSuperclass()`
`void` `supportsEndWithoutLRA()`
`void` `supportsEndWithoutLRAAtInterface()`
`void` `supportsEndWithoutLRAAtSuperclass()`
`void` `supportsWithLRA()`
`void` `supportsWithLRAAtInterface()`
`void` `supportsWithLRAAtSuperclass()`
`void` `supportsWithoutLRA()`
`void` `supportsWithoutLRAAtInterface()`
`void` `supportsWithoutLRAAtSuperclass()`

### Methods inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`before`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TckLRATypeTests

    public TckLRATypeTests()

### Method Detail

#### deploy

    @Deployment(name="lra-type-tck-tests")
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### after

    public void after()

Overrides:
  `after` in class `TckTestBase`

#### requiredWithLRA

    public void requiredWithLRA()

#### requiredWithoutLRA

    public void requiredWithoutLRA()

#### requiresNewWithLRA

    public void requiresNewWithLRA()

#### requiresNewWithoutLRA

    public void requiresNewWithoutLRA()

#### mandatoryWithLRA

    public void mandatoryWithLRA()

#### mandatoryWithoutLRA

    public void mandatoryWithoutLRA()

#### supportsWithLRA

    public void supportsWithLRA()

#### supportsWithoutLRA

    public void supportsWithoutLRA()

#### notSupportedWithRA

    public void notSupportedWithRA()

#### notSupportedWithoutLRA

    public void notSupportedWithoutLRA()

#### neverWithLRA

    public void neverWithLRA()

#### neverWithInvalidLRA

    public void neverWithInvalidLRA()

#### neverWithoutLRA

    public void neverWithoutLRA()

#### requiredEndWithLRA

    public void requiredEndWithLRA()

#### requiredEndWithoutLRA

    public void requiredEndWithoutLRA()

#### requiresEndNewWithLRA

    public void requiresEndNewWithLRA()

#### requiresEndNewWithoutLRA

    public void requiresEndNewWithoutLRA()

#### mandatoryEndWithLRA

    public void mandatoryEndWithLRA()

#### mandatoryEndWithoutLRA

    public void mandatoryEndWithoutLRA()

#### supportsEndWithLRA

    public void supportsEndWithLRA()

#### supportsEndWithoutLRA

    public void supportsEndWithoutLRA()

#### notSupportedEndWithRA

    public void notSupportedEndWithRA()

#### notSupportedEndWithoutLRA

    public void notSupportedEndWithoutLRA()

#### neverWithEndLRA

    public void neverWithEndLRA()

#### neverWithoutEndLRA

    public void neverWithoutEndLRA()

#### requiredWithLRAAtInterface

    public void requiredWithLRAAtInterface()

#### requiredWithoutLRAAtInterface

    public void requiredWithoutLRAAtInterface()

#### requiresNewWithLRAAtInterface

    public void requiresNewWithLRAAtInterface()

#### requiresNewWithoutLRAAtInterface

    public void requiresNewWithoutLRAAtInterface()

#### mandatoryWithLRAAtInterface

    public void mandatoryWithLRAAtInterface()

#### mandatoryWithoutLRAAtInterface

    public void mandatoryWithoutLRAAtInterface()

#### supportsWithLRAAtInterface

    public void supportsWithLRAAtInterface()

#### supportsWithoutLRAAtInterface

    public void supportsWithoutLRAAtInterface()

#### notSupportedWithRAAtInterface

    public void notSupportedWithRAAtInterface()

#### notSupportedWithoutLRAAtInterface

    public void notSupportedWithoutLRAAtInterface()

#### neverWithLRAAtInterface

    public void neverWithLRAAtInterface()

#### neverWithInvalidLRAAtInterface

    public void neverWithInvalidLRAAtInterface()

#### neverWithoutLRAAtInterface

    public void neverWithoutLRAAtInterface()

#### requiredEndWithLRAAtInterface

    public void requiredEndWithLRAAtInterface()

#### requiredEndWithoutLRAAtInterface

    public void requiredEndWithoutLRAAtInterface()

#### requiresEndNewWithLRAAtInterface

    public void requiresEndNewWithLRAAtInterface()

#### requiresEndNewWithoutLRAAtInterface

    public void requiresEndNewWithoutLRAAtInterface()

#### mandatoryEndWithLRAAtInterface

    public void mandatoryEndWithLRAAtInterface()

#### mandatoryEndWithoutLRAAtInterface

    public void mandatoryEndWithoutLRAAtInterface()

#### supportsEndWithLRAAtInterface

    public void supportsEndWithLRAAtInterface()

#### supportsEndWithoutLRAAtInterface

    public void supportsEndWithoutLRAAtInterface()

#### notSupportedEndWithRAAtInterface

    public void notSupportedEndWithRAAtInterface()

#### notSupportedEndWithoutLRAAtInterface

    public void notSupportedEndWithoutLRAAtInterface()

#### neverWithEndLRAAtInterface

    public void neverWithEndLRAAtInterface()

#### neverWithoutEndLRAAtInterface

    public void neverWithoutEndLRAAtInterface()

#### requiredWithLRAAtSuperclass

    public void requiredWithLRAAtSuperclass()

#### requiredWithoutLRAAtSuperclass

    public void requiredWithoutLRAAtSuperclass()

#### requiresNewWithLRAAtSuperclass

    public void requiresNewWithLRAAtSuperclass()

#### requiresNewWithoutLRAAtSuperclass

    public void requiresNewWithoutLRAAtSuperclass()

#### mandatoryWithLRAAtSuperclass

    public void mandatoryWithLRAAtSuperclass()

#### mandatoryWithoutLRAAtSuperclass

    public void mandatoryWithoutLRAAtSuperclass()

#### supportsWithLRAAtSuperclass

    public void supportsWithLRAAtSuperclass()

#### supportsWithoutLRAAtSuperclass

    public void supportsWithoutLRAAtSuperclass()

#### notSupportedWithRAAtSuperclass

    public void notSupportedWithRAAtSuperclass()

#### notSupportedWithoutLRAAtSuperclass

    public void notSupportedWithoutLRAAtSuperclass()

#### neverWithLRAAtSuperclass

    public void neverWithLRAAtSuperclass()

#### neverWithInvalidLRAAtSuperclass

    public void neverWithInvalidLRAAtSuperclass()

#### neverWithoutLRAAtSuperclass

    public void neverWithoutLRAAtSuperclass()

#### requiredEndWithLRAAtSuperclass

    public void requiredEndWithLRAAtSuperclass()

#### requiredEndWithoutLRAAtSuperclass

    public void requiredEndWithoutLRAAtSuperclass()

#### requiresEndNewWithLRAAtSuperclass

    public void requiresEndNewWithLRAAtSuperclass()

#### requiresEndNewWithoutLRAAtSuperclass

    public void requiresEndNewWithoutLRAAtSuperclass()

#### mandatoryEndWithLRAAtSuperclass

    public void mandatoryEndWithLRAAtSuperclass()

#### mandatoryEndWithoutLRAAtSuperclass

    public void mandatoryEndWithoutLRAAtSuperclass()

#### supportsEndWithLRAAtSuperclass

    public void supportsEndWithLRAAtSuperclass()

#### supportsEndWithoutLRAAtSuperclass

    public void supportsEndWithoutLRAAtSuperclass()

#### notSupportedEndWithRAAtSuperclass

    public void notSupportedEndWithRAAtSuperclass()

#### notSupportedEndWithoutLRAAtSuperclass

    public void notSupportedEndWithoutLRAAtSuperclass()

#### neverWithEndLRAAtSuperclass

    public void neverWithEndLRAAtSuperclass()

#### neverWithoutEndLRAAtSuperclass

    public void neverWithoutEndLRAAtSuperclass()